<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-login](./foundation-login.md) &gt; [isMFRoute](./foundation-login.ismfroute.md)

## isMFRoute() function

A utility to check if a pathname is a route of this micro frontend.

**Signature:**

```typescript
export declare function isMFRoute(pathname?: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pathname | string | _(Optional)_ A pathname string to check, typically location.pathname, which is used when a value is omitted. |

**Returns:**

boolean

